For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
            • GETGet Abandoned Cart
              • GETGet Global Abandoned Cart Settings
              • PUTUpdate Global Abandoned Cart Settings
              • GETGet Channel Abandoned Cart Settings
              • PUTUpdate Channel Abandoned Cart Settings
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementAbandoned CartsAbandoned Carts Settings

Update Global Abandoned Cart Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/abandoned-carts/settings
PUT
/stores/:store_hash/v3/abandoned-carts/settings
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/abandoned-carts/settings \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "enable_notification": true,
4 "email_customer_until_cart_is_recovered": true,
5 "marketing_emails_require_customer_consent": false,
6 "email_merchant_when_cart_is_converted": true,
7 "email_merchant_when_cart_is_abandoned": false,
8 "merchant_email_address": "notifications@storeexample.com",
9 "merchant_abandoned_cart_email_frequency_type": "digest",
10 "merchant_abandoned_cart_digest_email_frequency": 10
11 },
12 "meta": {}
13}
Update the global abandoned cart settings of a store.
Was this page helpful?
Previous

Get Global Abandoned Cart Settings

Next

Get Channel Abandoned Cart Settings

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | read-only | `store_v2_information_read_only`| | Information & Settings | modify | `store_v2_information` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
email_customer_until_cart_is_recoveredbooleanRequired
Indicates whether or not a customer should continue to receive abandoned cart emails until their cart is recovered
marketing_emails_require_customer_consentbooleanRequired
Indicates whether or not a customer should receive abandoned cart emails based on their consent. By default customers will not receive emails
email_merchant_when_cart_is_convertedbooleanRequired
Indicates whether or not a merchant should receive a notification email when a cart is converted into an order
email_merchant_when_cart_is_abandonedbooleanRequired
Indicates whether or not a merchant should receive a notification email when a cart is abandoned
merchant_email_addressstringRequiredformat: "email"
The email address for receiving merchant notifications
merchant_abandoned_cart_email_frequency_typeenumRequired
Indicates whether to send an email for every abandoned cart, or to send a digest email after X number of abandoned carts
Allowed values:
merchant_abandoned_cart_digest_email_frequencyintegerRequired2-1000
The number of abandoned carts to accumulate before a digest email is sent to a merchant
enable_notificationbooleanOptional
Indicates whether or not abandoned cart notification is on

Response

OK
dataobject
Represents all settings related to the abandoned cart functionality of a store
metaobject
Response metadata

Errors

401
Unauthorized Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsread-onlystore_v2_information_read_only
Information & Settingsmodifystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.